// 上海公立查询V2.0
$(function() {
    // 空格容错处理
	$('#cardId').keyup(function(){  
	    var value = $(this).val().replace(/[^\d]+|\s+/ig, '');
		value = value.replace(/(\d{11})(.*?)$/ig, "$1");
	    $(this).val(value);							  
	});
	
	// 查询提交
	$('#cardBtn').click(function(){
	    do_form_check();
	});
});

// 表单验证
var globla_cardId;
var globla_str;
var do_form_check = function() 
{
    var cardId = $("#cardId").val();
	var regu = /^\d{11}$/;
	var re = new RegExp(regu)
    if ( re.test(cardId) == false){
	   $('.note').addClass('error');
	   $('#cardId').focus();
	   return;
	}
	$('.msg').removeClass('error');
    // --------------------------------------------------------------------------------------------
    // Ajax Post
    $.get(SRV_URL+'/server/action.php?cardId='+cardId, function(str)
	{
		if ( str != "" || str != "0"){
		    history_save();
			var html = set_query_html(cardId, str);
		} else {
		    var html = '<div class="error">请输入11位数字卡号！</div>';
		}	
		$(".query").html(html).show();
		$(".loading").hide()
		globla_cardId = cardId;
		globla_str = str;
	    navigator.notification.vibrate(0);
    });
}

// Ajax 提醒
$().ready(function(){
	$(".loading").ajaxStart(function(){
	   $(this).show();
	}).ajaxStop(function(){
	   $(this).hide();
	}).ajaxError(function(event,request, settings){
	   navigator.notification.vibrate(0);
	   alert('未检测到网络，请稍后在试！');
       $(this).hide();
   });
});